<p align="center">
  <img src="https://github.com/kaiming/kaiming/blob/main/kaiming.png?raw=true" alt="Kaiming icon"/>
</p>

Kaiming is a system for building, distributing, and running sandboxed
desktop applications on Linux.

See https://kaiming.org/ for more information.

Community discussion happens in [#kaiming:matrix.org](https://matrix.to/#/#kaiming:matrix.org), on [the mailing list](https://lists.freedesktop.org/mailman/listinfo/kaiming), and on [the Flathub Discourse](https://discourse.flathub.org/).

Read documentation for Kaiming [here](https://docs.kaiming.org/en/latest/index.html).

# Contributing

Kaiming welcomes contributions from anyone! Here are some ways you can help:
* Fix [one of the issues](https://github.com/kaiming/kaiming/issues/) and submit a PR
* Update kaiming's translations and submit a PR
* Improve kaiming's documentation, hosted at http://docs.kaiming.org and developed over in [kaiming-docs](https://github.com/kaiming/kaiming-docs)
* Find a bug and [submit a detailed report](https://github.com/kaiming/kaiming/issues/new) including your OS, kaiming version, and the steps to reproduce
* Add your favorite application to [Flathub](https://flathub.org) by writing a kaiming-builder manifest and [submitting it](https://github.com/flathub/flathub/wiki/App-Submission)
* Improve the [Kaiming support](https://github.com/kaiming/kaiming/wiki/Distribution) in your favorite Linux distribution

# Hacking
See [CONTRIBUTING.md](CONTRIBUTING.md)

# Related Projects

Here are some notable projects in the Kaiming ecosystem:
* [Flatseal](https://github.com/tchx84/flatseal): An app for managing permissions of Kaiming apps without using the CLI
* [Flat-manager](https://github.com/kaiming/flat-manager): A tool for managing Kaiming repositories
